﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define l = Character("Luke")
define r = Character("Rune", color="#5588EE", what_color="#B3EAFF")
define a = Character("Alon", color="#000000", what_color="#D8D8D8", who_outlines=[(1, "#FFFFFF", 0, 0)])
define b = Character("Burry", color="#FFBD1B", what_color="#FDFFB3")
define t = Character("Thistle", color="#997650", what_color="#FFEEB3")
define teak = Character("Teak", color="#0B7623", what_color="#AFF183")
define m = Character("Max", color="#9966CC", what_color="#C8A2C8")

define narrator = Character(window_background=None, what_outlines=[(4, "#000000", 0, 0)])

define x1 = Character("Basset", color="#F1948A")
define x2 = Character("Malamute", color="#D5DBDB")

define dh = Character("Deerhound", color="#D98880")
define bt = Character("Bull Terrier", color="#F9E79F")

#transformations
transform left2:
    xalign 0.3
    yalign 0.45

transform right2:
    xalign 0.7
    yalign 0.45

transform left3:
    xalign 0.2
    yalign 0.45

transform mid3:
    xalign .5
    yalign 0.45

transform right3:
    xalign 0.8
    yalign 0.45

transform tran41:
    xalign 0.04
    yalign 0.45

transform tran42:
    xalign 0.35
    yalign 0.45

transform tran43:
    xalign 0.66
    yalign 0.45

transform tran44:
    xalign 0.96
    yalign 0.45

transform middleitem:
    xalign .5
    yalign .3



#random defined mechanics
define dis = { "master" : Dissolve(0.7) } # dissolve that doesn't pause text flow
define dis3 = { "master" : Dissolve(3.0) }
define dis10 = { "master" : Dissolve(10.0) }





transform alpha_dissolve:# This is to fade the bar in and out, and is only required once in your script
    alpha 0.0
    linear 0.5 alpha 1.0
    on hide:
        linear 0.5 alpha 0
screen countdown:# This is the timer bar.
    timer 0.01 repeat True action If(time > 0, true=SetVariable('time', time - 0.01), false=[Hide('countdown'), Jump(timer_jump)])
    bar value time range timer_range xalign 0.5 yalign 0.2 xmaximum 300 at alpha_dissolve
init:#countdown
    $ timer_range = 0
    $ timer_jump = 0



define countalpha = -10

screen countdown2:
    timer 1 repeat True action If(time2 > 0, true=SetVariable('time2', time2 - 1), false=[Hide('countdown'), Jump(timer_jump2)])
    if time2 <= 60:
        text str(time2) xpos .32 ypos .05 color "#FF0000" size countalpha+10 font "digital7.ttf" at alpha_dissolve
    else:
        text str(time2) xpos .32 ypos .05 size countalpha font "digital7.ttf" at alpha_dissolve
init:#countdown
    $ timer_range2 = 0
    $ timer_jump2 = 0


    $ renpy.music.register_channel("sfxchannel2", loop=False)
    $ renpy.music.register_channel("bgm2", loop=True)
    $ renpy.music.register_channel("bgm3", loop=True)

#    $ config.menu_include_disabled = True




# The game starts here.

label start:




jump gameintro

#Flags






label morning:
"I spend more time on work and eventually we reach the last hours of this morning."
"The tavern is especially lively and packed today. The dogs return in groups from their excavation trips to take part in the event at the Shelter tonight."
"There are a lot of familiar faces that I haven’t seen in a while and maybe a couple dogs that I haven’t met yet. I can hear them discussing stories of their latest trips."
"I can see Max among them. He stares at the prospectors with wide eyes while listening to their stories. That looks fun! Maybe I should listen too?"
"Of course there are also the usual faces of dogs who don’t go outside much. I can see Rune discussing something loudly with old man Thistle."
"I’m not sure what, but I can vaguely hear something about… weapons? I’m really not sure. Something doesn’t sound right."
stop music fadeout 10
"As much as I’m interested in listening to the stories of the outside along with Max, the stories of Rune and Thistle are often just as interesting..."
"I think I can spare five minutes off work to join one of the tables in my downtime…"
scene tavern1
with Dissolve(2)
pause(2.3)
"...but which one?"


menu:
    "How should I spend my break?"

    "Listen to the stories of the prospectors.":
        jump dogvman1

    "Listen to a conversation about... weapons?":
        jump morning_dogdongs

    "Take a nap." if persistent.unlockdream1:
        jump dream1



label lunch:
$ renpy.music.set_volume(.2, 5)
show blackbg
with Dissolve(3)
pause 2
"The rest of the morning passes uneventfully. I clean the tables, serve the guests and help Burry. Day like every day."
"...however, I know that today is not just like any other. We have an important event planned for tonight and I have to take care of that. It's almost the time for the maintenance check on the turret!"
"I'm going to finish just a few things around and have my lunch break. Then… out to do the work in a completely different part of Shelter!"
"After such an eventful morning, I welcome a break from the tavern. I'm going to have a nice walk and I'll see how the Dogs prepare for Skies Ablaze."
"Next stop - Turret Control Tower!"
pause 2



jump unlockables
# This ends the game.

return
